List of all members
clan::EarClipTriangulator Class Reference
clanCore Math

Ear-clipping triangulator. More...

`#include <ear_clip_triangulator.h>`

## Public Member Functions
Construction
| EarClipTriangulator ()
| Constructs a triangulator. More...
virtual | ~EarClipTriangulator ()
Attributes
std::vector< Pointf > | get_vertices ()
| Returns a list of the vertices added to the triangulator. More...
int | get_vertice_count ()
| Returns the number of vertices in the triangulator. More...
PolygonOrientation | calculate_polygon_orientation ()
| Determine the orientation of the vertices in the triangulator. More...
Operations
void | add_vertex (float x, float y)
| Add the next vertex of the polygon to the triangulator. More...
void | add_vertex (const Pointf &p)
| Add vertex. More...
void | clear ()
| Remove all vertices from triangulator. More...
void | set_orientation (PolygonOrientation orientation)
| Set polygon orientation. More...
EarClipResult | triangulate ()
| Perform triangulation. More...
void | begin_hole ()
| Mark beginning of a polygon hole. More...
void | end_hole ()
| Mark ending of a polygon hole. More...

## Detailed Description

Ear-clipping triangulator.

The documentation for this class was generated from the following file:

- ear_clip_triangulator.h